Outsystems UI Missing in my environment

I was trying to publish my project when an error occurred related to "missing dependencies". I clicked in to see what was wrong and saw all of "Outsystems UI Mobile" highlighted in red. I was advised in another thread to click refresh all, but the error message "'OutSystemsUI' is missing in 'username.outsystemscloud.com'.
Uncheck all elements to remove the reference from your module." appeared.

What is this and how to I restore Outsytems UI Mobile to my enviroment? 

Hi Michael,

Which platform version are you using? OutSystems UI is only available for OutSystems 11 and should have been installed by default as part of the standard platform installation checklist.

You can check for it from Service Center or LifeTime (system components/applications will not show up in Service Studio), if it is not there you can install it from the forge (but it should be there, especially on a Personal Environment).

If you cannot install OutSystems UI Web and/or OutSystems UI Mobile, please place here the error messages you get.

Hope this helps!

Jorge Martins wrote:

Hi Michael,

Which platform version are you using? OutSystems UI is only available for OutSystems 11 and should have been installed by default as part of the standard platform installation checklist.

You can check for it from Service Center or LifeTime (system components/applications will not show up in Service Studio), if it is not there you can install it from the forge (but it should be there, especially on a Personal Environment).

If you cannot install OutSystems UI Web and/or OutSystems UI Mobile, please place here the error messages you get.

Hope this helps!


Hi, so this is the main error I'm getting. I'm not quite sure how to check for this in Service Center or LifeTime because I'm very new to the platform, but I'm using the most up to date service Studio and still recieve this,.

Michael Strusievici wrote:

Jorge Martins wrote:

Hi Michael,

Which platform version are you using? OutSystems UI is only available for OutSystems 11 and should have been installed by default as part of the standard platform installation checklist.

You can check for it from Service Center or LifeTime (system components/applications will not show up in Service Studio), if it is not there you can install it from the forge (but it should be there, especially on a Personal Environment).

If you cannot install OutSystems UI Web and/or OutSystems UI Mobile, please place here the error messages you get.

Hope this helps!


Hi, so this is the main error I'm getting. I'm not quite sure how to check for this in Service Center or LifeTime because I'm very new to the platform, but I'm using the most up to date service Studio and still recieve this,.

Also this is what I received when I tried to download Outsystems UI.


Hi again Michael,

Your error there seems to mean that you are trying to install a version not supported in your environment?... It is an odd one. You should definitely press the "Submit Feedback" button when you get that error.

Can you tell us what version of OutSystems UI you are trying to install and OutSystems Platform Server are you running? (go to https://mds.outsystemscloud.com/ServiceCenter and check the version shown on the right-hand side of the screen - in the gray box as depicted below). 

Jorge Martins wrote:

Hi again Michael,

Your error there seems to mean that you are trying to install a version not supported in your environment?... It is an odd one. You should definitely press the "Submit Feedback" button when you get that error.

Can you tell us what version of OutSystems UI you are trying to install and OutSystems Platform Server are you running? (go to https://mds.outsystemscloud.com/ServiceCenter and check the version shown on the right-hand side of the screen - in the gray box as depicted below). 


Hi, so I checked service center and I am in version "11.0.212.0" and I'm trying to download "Outsystems UI" version 2.0.9 (O11) which of course, does not want to install. I'm told first that "OutSystems Platform dependency analysis has detected that installing this application might impact other applications running in your environment or that it may not run as expected. You may still force the installation of the application at your own risk.There was an error. The referenced module was moved." and if I force install I get the same message about it not being able to install because it already exists.

Michael,

I've referenced this to OutSystems, but I'd suggest you still contact their Support to address this.

Jorge Martins wrote:

Michael,

I've referenced this to OutSystems, but I'd suggest you still contact their Support to address this.

Ok, what way would you recommend I do this? This problem has persisted for a while so if there's a most efficient way to contact outsystems support (because I know there are many) what would that be?


As far as I know, all ways of contacting support will have similar outcome, that will also depend on your current relationship with OutSystems. You can check their contact details here.

Hi Michael,

It was apparently an issue with the latest version published not being a stable one. The team changed its status, and that should fix the dependency issue. Try and install the latest stable version now.